Bug 20138 - 2.2.17 *needs* the VM patches for proper Mylex RAID support
2.2.17 *needs* the VM patches for proper Mylex RAID support
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 04:01 EST by Arthur van Leeuwen
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 00:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arthur van Leeuwen 2000-11-01 04:01:26 EST
kernel-2.2.17-4 as present in rawhide has a vm-backout patch that
removes a fix for a bug in the 2.2.17 VM. This bug is triggered
by, for example, writing large amounts of data to a block device with a 
very large command queue, such as the Mylex AcceleRaid 170. Without the
fix, mke2fs on a 100G partition on such a device will cause kflushd
to run out of pages, thereby leading the VM subsystem to go around
killing processes. With the fix this does not happen, and
there is merely some loss of interactive performance.

Rewriting the SPEC file so as to not include the vm-backout patch reveals
a requirement for a tiny change in the raid patch and somewhat more
substantial changes in the bigmem patches.

Note You need to log in before you can comment on or make changes to this bug.